#pragma once
#include "includes.h"

#ifdef GLLIB_OS_WINDOWS
//for workaround for Windows' non portable garbage
std::wstring s2ws(const std::string& s);
CHAR wide_to_narrow(WCHAR w);
wstring c_to_w(string source);
#endif

void make_directory(string name);

bool remove_directory_files(string directory);
bool remove_directory(string directory);
bool remove_directory_files(string directory);
bool remove_file(string name);

bool is_directory(string path);
bool is_file(string path);
bool exists_file(string path);